summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKarlson2k (Evgeny Grin) <k2k@narod.ru>2021-01-08 15:53:30 +0300
committerSam James <sam@gentoo.org>2021-01-11 20:13:24 +0000
commit8097e78c84c3e5daa27296824d0e4206f214e1be (patch)
tree308da1a7fe298c30396581792921dd6a8718bbbf /x11-libs/libva-intel-media-driver
parentx11-libs/libva-intel-media-driver: version bump to 20.4.5 (diff)
downloadgentoo-8097e78c84c3e5daa27296824d0e4206f214e1be.tar.gz
gentoo-8097e78c84c3e5daa27296824d0e4206f214e1be.tar.bz2
gentoo-8097e78c84c3e5daa27296824d0e4206f214e1be.zip
x11-libs/libva-intel-media-driver: 'set-as-default' USE flag
Added USE flag "set-as-default" to enforce iHD as default libva driver Closes: https://bugs.gentoo.org/737284 Signed-off-by: Karlson2k (Evgeny Grin) <k2k@narod.ru> Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'x11-libs/libva-intel-media-driver')
-rw-r--r--x11-libs/libva-intel-media-driver/libva-intel-media-driver-20.4.5.ebuild11
-rw-r--r--x11-libs/libva-intel-media-driver/libva-intel-media-driver-9999.ebuild11
2 files changed, 20 insertions, 2 deletions
diff --git a/x11-libs/libva-intel-media-driver/libva-intel-media-driver-20.4.5.ebuild b/x11-libs/libva-intel-media-driver/libva-intel-media-driver-20.4.5.ebuild
index 620d1556bd0..5806c83688e 100644
--- a/x11-libs/libva-intel-media-driver/libva-intel-media-driver-20.4.5.ebuild
+++ b/x11-libs/libva-intel-media-driver/libva-intel-media-driver-20.4.5.ebuild
@@ -22,7 +22,7 @@ HOMEPAGE="https://github.com/intel/media-driver"
LICENSE="MIT BSD"
SLOT="0"
-IUSE="X"
+IUSE="set-as-default X"
PATCHES=( "${FILESDIR}"/${PN}-20.2.0_x11_optional.patch )
@@ -43,3 +43,12 @@ src_configure() {
cmake_src_configure
}
+
+src_install() {
+ cmake_src_install
+
+ if use set-as-default ; then
+ echo 'LIBVA_DRIVER_NAME="iHD"' > "${T}/55libva-intel-media-driver" || die
+ doenvd "${T}/55libva-intel-media-driver"
+ fi
+}
diff --git a/x11-libs/libva-intel-media-driver/libva-intel-media-driver-9999.ebuild b/x11-libs/libva-intel-media-driver/libva-intel-media-driver-9999.ebuild
index 620d1556bd0..5806c83688e 100644
--- a/x11-libs/libva-intel-media-driver/libva-intel-media-driver-9999.ebuild
+++ b/x11-libs/libva-intel-media-driver/libva-intel-media-driver-9999.ebuild
@@ -22,7 +22,7 @@ HOMEPAGE="https://github.com/intel/media-driver"
LICENSE="MIT BSD"
SLOT="0"
-IUSE="X"
+IUSE="set-as-default X"
PATCHES=( "${FILESDIR}"/${PN}-20.2.0_x11_optional.patch )
@@ -43,3 +43,12 @@ src_configure() {
cmake_src_configure
}
+
+src_install() {
+ cmake_src_install
+
+ if use set-as-default ; then
+ echo 'LIBVA_DRIVER_NAME="iHD"' > "${T}/55libva-intel-media-driver" || die
+ doenvd "${T}/55libva-intel-media-driver"
+ fi
+}